#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 41. Other X-based Programs

- Prev

  Transmission-4.0.6

- Next

  xdg-utils-1.2.1

- Up
- Home

# xarchiver-0.5.4.23

## Introduction to xarchiver

XArchiver is a GTK+ archive manager with support for tar, xz, bzip2, gzip, zip, 7z, rar, lzo and many other archive formats.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Note

xarchiver is only a command line or graphical interface to archiving utilities such as tar and zip.

### Package Information

- Download (HTTP): https://github.com/ib/xarchiver/archive/0.5.4.23/xarchiver-0.5.4.23.tar.gz

- Download MD5 sum: bfdace2b113417e1bc77ef304280d103

- Download size: 1.1 MB

- Estimated disk space required: 11 MB

- Estimated build time: 0.1 SBU

### xarchiver Dependencies

#### Required

GTK+-3.24.43

#### Optional (Runtime)

cpio-2.15, LZO-2.10, p7zip-17.04, UnRar-7.1.2, UnZip-6.0, and Zip-3.0

## Installation of xarchiver

Install xarchiver by running the following commands:

    ./configure  --prefix=/usr               \
                 --libexecdir=/usr/lib/xfce4 \
                 --docdir=/usr/share/doc/xarchiver-0.5.4.23 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and desktop files into the `/usr/share/applications` hierarchy. You can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme` and `/usr/share/applications/mimeinfo.cache`. To perform the update you must have GTK+-3.24.43 installed (for the icon cache) and desktop-file-utils-0.28 (for the desktop cache) and issue the following commands as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
    update-desktop-database -q

## Command Explanations

`--libexecdir=/usr/lib/xfce4`: This switch fixes the location for the thunar-archive-plugin, so it will work if thunar-4.20.0 is installed.

## Contents

Installed Program: xarchiver
Installed Libraries: None
Installed Directories: /usr/lib/xfce4/thunar-archive-plugin, /usr/share/doc/xarchiver-0.5.4.23, and /usr/share/pixmaps/xarchiver

### Short Descriptions

xarchiver | is a GTK+ archive manager

- Prev

  Transmission-4.0.6

- Next

  xdg-utils-1.2.1

- Up
- Home